develooper Front page | perl.par | Postings from May 2008

libc version

Thread Next
From:
Dave Howorth
Date:
May 13, 2008 08:55
Subject:
libc version
Message ID:
4829B9E7.1090606@mrc-lmb.cam.ac.uk
I'm back with another question. (I managed to build a version that reads
the auxiliary data files. Thanks :)

I've built the binary on my development system with perl 5.8.6. When I
copy it to my test system (which has perl 5.8.8) it works and it says
the value of $^V is 5.8.6 as I would expect. But when I run it on the
production system (which has 5.6.0) Apache logs:

myscript: /lib/libc.so.6: version `GLIBC_2.3' not found (required by
myscript)

The production machine doesn't have any libc.so; it has /lib/libc.a
(I'm not in control of the software installed on the production machine)

I'm obviously still confused about what pp packages up. I understand
that the architecture needs to be pretty much the same (they're both
586) but what are the restrictions on libc and is there some way to get
around them?

Thanks, Dave

Thread Next


nntp.perl.org: Perl Programming lists via nntp and http.
Comments to Ask Bjørn Hansen at ask@perl.org | Group listing | About